Page MenuHomePhabricator

cross-wiki notification on mediawiki-vagrant uses port 8080 for foreign wikis even when accessing the page with https on port 4430
Closed, ResolvedPublic

Event Timeline

SBisson created this task.Feb 9 2016, 9:14 PM
SBisson raised the priority of this task from to Needs Triage.
SBisson updated the task description. (Show Details)
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptFeb 9 2016, 9:14 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript

This also works differently from all the other port forwarding. It's configurable, but always forwards regardless of whether https is enabled.

The others (e.g. Varnish) only do the forwarding when the role is enabled. It would be easy to make https behave similiarly if it doesn't need to be configurable (or only via modifying the YAML file).

Probably not a big deal, though.

Change 271733 had a related patch set uploaded (by Mattflaschen):
Use protocol-relative wgServer and https role changes

https://gerrit.wikimedia.org/r/271733

Change 271733 merged by jenkins-bot:
Use protocol-relative wgServer and https role changes

https://gerrit.wikimedia.org/r/271733

Change 275273 had a related patch set uploaded (by Gergő Tisza):
Only use protocol-relative URL for $wgServer if https role is enabled

https://gerrit.wikimedia.org/r/275273

@SBisson:
I can see
vagrant@mediawiki-vagrant:~$ sudo netstat -pan | grep 8080
tcp6 0 0 :::8080 :::* LISTEN 7579/apache2

but nothing for 4430.

@Etonkovidova try enabling the HTTPS role and accessing the site using https on port 4430. If cross-wiki notifications show up, then this is fixed.

Etonkovidova added a comment.EditedMar 18 2016, 6:31 PM

Re-checked with https role enabled.

root@mediawiki-vagrant:/var/log/nginx# sudo netstat -pan | grep 443
tcp 0 0 0.0.0.0:443 0.0.0.0:* LISTEN 1308/nginx

  • cannot view foreign wiki notifications - Error Access to the remote domain was denied.
jmatazzoni closed this task as Resolved.Mar 23 2016, 7:24 PM

Re-checked with https role enabled.

Vagrant does port forwarding, so the port on the outside can be (but doesn't have to be) different from the port on the inside.

Change 275273 merged by jenkins-bot:
Only use protocol-relative URL for $wgServer if https role is enabled

https://gerrit.wikimedia.org/r/275273

Re-checked after the fix. The same results as in my previous comment.

@Etonkovidova Cross-wiki notifications are broken for you on HTTPS?

Is anyone else seeing this (I have the https role disabled right now)?

May not be that high priority, but I can pair with you on it if you want.